Bug 703824

Summary: Review Request python26-paramiko for EPEL 5
Product: [Fedora] Fedora EPEL Reporter: Andy Grimm <agrimm>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el5CC: fedora-package-review, gholms, gwync, jgoulding, tcallawa
Target Milestone: ---Flags: tcallawa: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python26-paramiko-1.7.7.1-1.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-13 17:50:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Andy Grimm 2011-05-11 10:51:36 UTC
Submitting as a separate package after discussion in bz 702677
Still dependent on bz 700667

SPEC:
http://www.grimmslanding.org/rpms/python26-paramiko.spec

SRPM:
http://www.grimmslanding.org/rpms/python26-paramiko-1.7.6-1.el5.src.rpm

Comment 1 Tom "spot" Callaway 2011-06-13 18:41:16 UTC
Review
=======
- rpmlint checks return:
python26-paramiko.noarch: W: spelling-error %description -l en_US esperanto -> Esperanto
python26-paramiko.noarch: W: spelling-error %description -l en_US heirarchical -> hierarchical
python26-paramiko.noarch: W: spelling-error %description -l en_US rsh -> rah, rs, sh
python26-paramiko.noarch: W: spelling-error %description -l en_US sftp -> ftp, ftps, s ftp
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/compress.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/client.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/share/doc/python26-paramiko-1.7.6/demos/demo_server.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/__init__.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/share/doc/python26-paramiko-1.7.6/demos/demo_sftp.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/sftp_si.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/resource.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/ssh_exception.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/message.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/sftp_file.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/channel.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/buffered_pipe.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/share/doc/python26-paramiko-1.7.6/demos/demo.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/share/doc/python26-paramiko-1.7.6/demos/forward.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/sftp.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/share/doc/python26-paramiko-1.7.6/demos/demo_simple.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/util.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/agent.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/pipe.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/kex_group1.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/pkey.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/primes.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/transport.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/dsskey.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/sftp_handle.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/config.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/file.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/sftp_client.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/logging22.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/auth_handler.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/kex_gex.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/share/doc/python26-paramiko-1.7.6/LICENSE
python26-paramiko.noarch: E: incorrect-fsf-address /usr/share/doc/python26-paramiko-1.7.6/demos/interactive.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/sftp_attr.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/server.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/packet.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/share/doc/python26-paramiko-1.7.6/demos/rforward.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/sftp_server.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/hostkeys.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/rsakey.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/ber.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/win_pageant.py
python26-paramiko.noarch: E: incorrect-fsf-address /usr/lib/python2.6/site-packages/paramiko/common.py
python26-paramiko.src: W: spelling-error %description -l en_US esperanto -> Esperanto
python26-paramiko.src: W: spelling-error %description -l en_US heirarchical -> hierarchical
python26-paramiko.src: W: spelling-error %description -l en_US rsh -> rah, rs, sh
python26-paramiko.src: W: spelling-error %description -l en_US sftp -> ftp, ftps, s ftp

*** All safe to ignore, though, it would be nice of you to let upstream paramiko know that they should update their license headers (and LICENSE) to reflect the current FSF address.

- package meets naming guidelines
- package meets packaging guidelines
- license (LGPLv2+) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream : 3059263b016255640151cde1e3e74ffd7234b90e780628865cb3f5a407fd5002
- package compiles on EL-5 : http://koji.fedoraproject.org/koji/taskinfo?taskID=3128503
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED. I will also sponsor you.

Comment 2 Andy Grimm 2011-06-13 20:39:44 UTC
New Package SCM Request
=======================
Package Name: python26-paramiko
Short Description: An SSH2 protocol library for python 
Owners: arg gholms
Branches: el5
InitialCC:

Comment 3 Gwyn Ciesla 2011-06-13 22:12:49 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-09-13 17:48:08 UTC
python26-paramiko-1.7.7.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-paramiko-1.7.7.1-1.el5

Comment 5 Fedora Update System 2011-09-29 03:22:19 UTC
python26-paramiko-1.7.7.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.